scala.reflect.quasiquotes.Parsers

# PatternParser

###
Related Doc: package Parsers

#### object PatternParser extends Quasiquotes.Parser

Source
  Parsers.scala

Linear Supertypes
Quasiquotes.Parser, tools.nsc.ast.parser.Parsers, ParsersCommon, MarkupParsers, Scanners, ScannersCommon, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PatternParser
2. Parser
3. Parsers
4. ParsersCommon
5. MarkupParsers
6. Scanners
7. ScannersCommon
8. AnyRef
9. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Type Members

1. #### trait CommonTokenData extends AnyRef

   Definition Classes
     ScannersCommon

2. #### type Location = Int

   Definition Classes
     Parsers

3. #### class MalformedInput extends Exception

   Definition Classes
     Scanners

4. #### class MarkupParser extends MarkupParserCommon

   Definition Classes
     MarkupParsers

5. #### type Offset = Int

   Offset into source character array

   Offset into source character array

   Definition Classes
     ScannersCommon

6. #### case class OpInfo (lhs: Global.Tree, operator: Global.TermName, targs: List[Global.Tree], offset: Parsers.Offset) extends Product with Serializable

   Definition Classes
     Parsers

7. #### class OutlineParser extends SourceFileParser

   Definition Classes
     Parsers

8. #### class ParensAnalyzer extends UnitScanner

   Definition Classes
     Scanners

9. #### abstract class Parser extends ParserCommon

   Definition Classes
     Parsers

10. #### abstract class ParserCommon extends AnyRef

    This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

    This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

    Definition Classes
      ParsersCommon

11. #### class QuasiquoteParser extends SourceFileParser

    Definition Classes
      Parser

12. #### abstract class Scanner extends CharArrayReader with TokenData with ScannerData with ScannerCommon

    Definition Classes
      Scanners

13. #### trait ScannerCommon extends CommonTokenData

    Definition Classes
      ScannersCommon

14. #### trait ScannerData extends TokenData with CharArrayReaderData

    An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

    An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

    Definition Classes
      Scanners

15. #### class SourceFileParser extends Parser

    Definition Classes
      Parsers

16. #### class SourceFileScanner extends Scanner

    A scanner for a given source file not necessarily attached to a compilation unit.

    A scanner for a given source file not necessarily attached to a compilation unit. Useful for looking inside source files that aren not currently compiled to see what's there

    Definition Classes
      Scanners

17. #### type Token = Int

    Definition Classes
      ScannersCommon

18. #### trait TokenData extends CommonTokenData

    Definition Classes
      Scanners

19. #### class UnitParser extends SourceFileParser

    Definition Classes
      Parsers

20. #### class UnitScanner extends SourceFileScanner

    A scanner over a given compilation unit

    A scanner over a given compilation unit

    Definition Classes
      Scanners

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### object ConfusedAboutBracesControl extends Throwable with ControlThrowable with Product with Serializable

   Definition Classes
     MarkupParsers

5. #### final val InBlock: Location

   Definition Classes
     Parsers

6. #### final val InTemplate: Location

   Definition Classes
     Parsers

7. #### final val Local: Location

   Definition Classes
     Parsers

8. #### object MissingEndTagControl extends Throwable with ControlThrowable with Product with Serializable

   Definition Classes
     MarkupParsers

9. #### lazy val ScalaValueClassNames: collection.Seq[tools.nsc.Global.TypeName]

   Definition Classes
     Parsers

10. #### object TruncatedXMLControl extends Throwable with ControlThrowable with Product with Serializable

    Definition Classes
      MarkupParsers

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def correspondingPosition(offset: Int): tools.nsc.Global.Position

    Definition Classes
      Parser

14. #### def createKeywordArray(keywords: Seq[(tools.nsc.Global.Name, Token)], defaultToken: Token): (Token, Array[Token])

    Definition Classes
      ScannersCommon

15. #### def entryPoint: (QuasiquoteParser) ⇒ tools.nsc.Global.Tree

    Definition Classes
      PatternParser → Parser

16. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

19. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

20. #### val global: Quasiquotes.global.type

    Definition Classes
      Parser → Parsers → ParsersCommon → Scanners → ScannersCommon

21. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

23. #### def literalUnit: tools.nsc.Global.Literal

    Definition Classes
      ParsersCommon

24. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def newLiteral(const: Any): tools.nsc.Global.Literal

    Definition Classes
      ParsersCommon

26. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

28. #### def parse(code: String): tools.nsc.Global.Tree

    Definition Classes
      Parser

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

31. #### final val token2name: Map[Int, tools.nsc.Global.Name]

    Definition Classes
      Scanners

32. #### def token2string(token: Int): String

    Returns the string representation of given token.

    Returns the string representation of given token.

    Definition Classes
      Parser → Scanners

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Quasiquotes.Parser

### Inherited from tools.nsc.ast.parser.Parsers

### Inherited from ParsersCommon

### Inherited from MarkupParsers

### Inherited from Scanners

### Inherited from ScannersCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped